#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 60);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 2, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 3, 10, 20));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 11, 24, 20));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 25, 30, 20));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 31, 44, 20), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 45, 54, 20), TValuer::Offline);
    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    int score = valuer.CalcScore(parser);
    printf("%d", score);

    return 0;
}
